#### 7.10.2.26 fibonacciGroup

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  fibonacciGroup(m,d); m an integer, d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - The Fibonacci group F(2, m) with the following presentation < x_1, x_2, ... , x_m | x_i * x_(i + 1) = x_(i + 2) >
  - d gives the degreebound for the Letterplace ring
  - varying m produces a family of examples

Example:

    LIB "fpalgebras.lib";
    def R = fibonacciGroup(3,5); setring R;
    I;
    ==> I[1]=x(1)*x(2)+x(3)
    ==> I[2]=x(1)*Y(1)+1
    ==> I[3]=Y(1)*x(1)+1
    ==> I[4]=x(2)*Y(2)+1
    ==> I[5]=Y(2)*x(2)+1
    ==> I[6]=x(3)*Y(3)+1
    ==> I[7]=Y(3)*x(3)+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.